summaryrefslogtreecommitdiffstats
path: root/system/detox
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave at gmail {dot} com>2011-02-06 10:47:37 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-02-06 10:47:37 -0600
commit32ac5f7a61445600f398415a9bcb838a59c2fd17 (patch)
tree7782b2ffd556d4fe0bc8dce7587037af92a1536a /system/detox
parentc85ed639024e766970985d61907a496473655ec9 (diff)
downloadslackbuilds-32ac5f7a61445600f398415a9bcb838a59c2fd17.tar.gz
slackbuilds-32ac5f7a61445600f398415a9bcb838a59c2fd17.tar.xz
system/detox: Added (filename cleanup utility)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/detox')
-rw-r--r--system/detox/README26
-rw-r--r--system/detox/detox.SlackBuild99
-rw-r--r--system/detox/detox.info10
-rw-r--r--system/detox/doinst.sh14
-rw-r--r--system/detox/slack-desc19
5 files changed, 168 insertions, 0 deletions
diff --git a/system/detox/README b/system/detox/README
new file mode 100644
index 0000000000..c7765b4cf1
--- /dev/null
+++ b/system/detox/README
@@ -0,0 +1,26 @@
+Detox is a utility designed to clean up filenames. It replaces
+difficult to work with characters, such as spaces, with standard
+equivalents. It will also clean up filenames with UTF-8 or Latin-1
+(or CP-1252) characters in them. Some features include:
+
+* Removal or replacement of upper ASCII Latin-1 (ISO8859-1)
+characters (i.e. left facing and right facing double quotes).
+Whenever possible a replacement character will be used (i.e. an
+"A" will take the place of an "A" with an accent mark over it).
+* Removal or replacement of UTF-8 encoded Unicode characters.
+This operates along the same line as the ISO 8859-1 translation,
+except the scope of Unicode is much larger
+* Removal or replacement of spaces and other potentially tricky
+characters, such as (, ), and @. Removal of any "-"s at the
+beginning of the filename
+* Removal or replacement of CGI escaped ASCII characters, i.e.
+%20 becomes " " (which then becomes "_").
+* Trimming of excessive "_" and "-"s.
+* Directory recursion, dry runs, verbose listings.
+* It's designed with safety in mind. It won't overwrite to a
+file that already exists, and it doesn't touch special files
+normally (but it can be asked to).
+
+Global configuration is in /etc/detoxrc, user-specific configuration
+can be specified in ~/.detoxrc. A sample configuration file is
+provided (/etc/detoxrc.sample).
diff --git a/system/detox/detox.SlackBuild b/system/detox/detox.SlackBuild
new file mode 100644
index 0000000000..a9d7ed6dd4
--- /dev/null
+++ b/system/detox/detox.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for detox.
+
+# Copyright 2011 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=detox
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Avoid clobbering existing config, if any.
+mv $PKG/etc/detoxrc $PKG/etc/detoxrc.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/detox/detox.info b/system/detox/detox.info
new file mode 100644
index 0000000000..f84b39282a
--- /dev/null
+++ b/system/detox/detox.info
@@ -0,0 +1,10 @@
+PRGNAM="detox"
+VERSION="1.2.0"
+HOMEPAGE="http://detox.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/detox/detox-1.2.0.tar.bz2"
+MD5SUM="da34c6bc3c68ce2fb008e25066e72927"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="rworkman"
diff --git a/system/detox/doinst.sh b/system/detox/doinst.sh
new file mode 100644
index 0000000000..9193c6ca58
--- /dev/null
+++ b/system/detox/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/detoxrc.new
diff --git a/system/detox/slack-desc b/system/detox/slack-desc
new file mode 100644
index 0000000000..9bed6763c9
--- /dev/null
+++ b/system/detox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+detox: Detox (filename cleanup utility)
+detox:
+detox: Detox replaces difficult to work with characters, such as spaces,
+detox: with standard equivalents. It will also clean up filenames with
+detox: UTF-8 or Latin-1 (or CP-1252) characters in them.
+detox:
+detox: http://detox.sourceforge.net
+detox:
+detox:
+detox:
+detox: